Controllers / Get Connection Details
curl --request GET \
--url https://api.chargecloud.dev/api/v1/control/controllers/{controller_uuid}/connection-details \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chargecloud.dev/api/v1/control/controllers/{controller_uuid}/connection-details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chargecloud.dev/api/v1/control/controllers/{controller_uuid}/connection-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connection_details": {
"backend_url_profile_0": "<string>",
"backend_url_profile_2": "<string>",
"ocpp_password": "<string>",
"active_security_profile": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
{
"errorKey": "<string>",
"message": "<string>",
"parameter": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Controller Configuration
Controllers / Get Connection Details
Returns the OCPP backend URLs (security profile 0 and 2), the basic-auth password and the active security profile reported by the controller. Required permission: control:controllers:connection-details:read
GET
/
api
/
v1
/
control
/
controllers
/
{controller_uuid}
/
connection-details
Controllers / Get Connection Details
Authorizations
OAuth2 Bearer Authorization
Path Parameters
UUID of the controller
Pattern:
^[a-f0-9]{8}\-[a-f0-9]{4}\-4[a-f0-9]{3}\-[89ab][a-f0-9]{3}\-[a-f0-9]{12}$Response
OCPP connection details for the controller
OCPP connection details
Show child attributes
Show child attributes
Related topics
Retrieves details of a controllerRetrieves details for a locationRetrieves controllers⌘I